Package com.io7m.idstore.server.api

# Record Class IdServerBrandingConfiguration

java.lang.Object
java.lang.Record
com.io7m.idstore.server.api.IdServerBrandingConfiguration

Record Components:
  `productTitle` - The product title
  `logo` - The path to a logo image
  `loginExtra` - An XHTML file inserted into the login screen
  `scheme` - The color scheme

public record IdServerBrandingConfiguration(String productTitle, Optional<Path> logo, Optional<Path> loginExtra, Optional<IdServerColorScheme> scheme) extends Record
Branding information for the server.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdServerBrandingConfiguration(String productTitle, Optional<Path> logo, Optional<Path> loginExtra, Optional<IdServerColorScheme> scheme)`
  Branding information for the server.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<Path>`
  `loginExtra()`
  Returns the value of the `loginExtra` record component.
  `Optional<Path>`
  `logo()`
  Returns the value of the `logo` record component.
  `String`
  `productTitle()`
  Returns the value of the `productTitle` record component.
  `Optional<IdServerColorScheme>`
  `scheme()`
  Returns the value of the `scheme` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdServerBrandingConfiguration

    public IdServerBrandingConfiguration(String productTitle, Optional<Path> logo, Optional<Path> loginExtra, Optional<IdServerColorScheme> scheme)
    Branding information for the server.
    Parameters:
      `productTitle` - The product title
      `logo` - The path to a logo image
      `loginExtra` - An XHTML file inserted into the login screen
      `scheme` - The color scheme

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### productTitle

    public String productTitle()
    Returns the value of the `productTitle` record component.
    Returns:
      the value of the `productTitle` record component

  - ### logo

    public Optional<Path> logo()
    Returns the value of the `logo` record component.
    Returns:
      the value of the `logo` record component

  - ### loginExtra

    public Optional<Path> loginExtra()
    Returns the value of the `loginExtra` record component.
    Returns:
      the value of the `loginExtra` record component

  - ### scheme

    public Optional<IdServerColorScheme> scheme()
    Returns the value of the `scheme` record component.
    Returns:
      the value of the `scheme` record component